## org.openorb.adapter.boa
Class BOAInitializer

    java.lang.Object
      |
      +--org.openorb.adapter.boa.BOAInitializer

All Implemented Interfaces:
  FeatureInitializer

public class BOAInitializer
extends java.lang.Object
implements FeatureInitializer

This class initializes a BOA instance.

Version:
  $Revision: 1.6 $ $Date: 2002/06/28 08:59:04 $
Author:
  Chris Wood

Constructor Summary
`BOAInitializer()`

Method Summary
`void` `init(ORBInitInfo orbinfo, FeatureInitInfo featureinfo)` Creates a BOA instance and attaches it with the server manager.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BOAInitializer

    public BOAInitializer()

Method Detail

### init

    public void init(ORBInitInfo orbinfo,
                     FeatureInitInfo featureinfo)

  Creates a BOA instance and attaches it with the server manager.
  Specified by:
    `init` in interface `FeatureInitializer`
  Parameters:
    `orbinfo` - ORB standard information.
    `featureinfo` - OpenORB specific information.